com.streambase.liveview.client.alert

## Interface PublishAlertAction

- All Superinterfaces:
    AlertRuleAction

      public interface PublishAlertAction
      extends AlertRuleAction

  Adds an alert to the LVAlerts table
  Since:
    2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.streambase.liveview.client.alert.AlertRuleAction

      `AlertRuleAction.ActionType`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlertKey()` Gets the value of the alertKey property.
    `String` | `getAlertRecipient()` Gets the value of the alertRecipient property.
    `Map<String,String>` | `getFieldSubstitutions()` Gets the map of fieldSubstitutions.
    `String` | `getMessageTemplate()` Gets the value of the messageTemplate property.
    `void` | `setAlertKey(String value)` Sets the value of the alertKey property.
    `void` | `setAlertRecipient(String value)` Sets the value of the alertRecipient property.
    `void` | `setMessageTemplate(String value)` Sets the value of the messageTemplate property.

    - ### Methods inherited from interface com.streambase.liveview.client.alert.AlertRuleAction

      `getActionType, getDescription, isEnabled, setDescription, setEnabled`

- - ### Method Detail

    - #### getMessageTemplate

          String getMessageTemplate()

      Gets the value of the messageTemplate property.
      Returns:
        possible object is `String`

    - #### setMessageTemplate

          void setMessageTemplate(String value)

      Sets the value of the messageTemplate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFieldSubstitutions

          Map<String,String> getFieldSubstitutions()

      Gets the map of fieldSubstitutions. Note that this is the live Map, not a checkpoint, so you can add, remove, and modify the elements in the map and these changes will be saved.
      Returns:
        possible object is `Map`

    - #### getAlertKey

          String getAlertKey()

      Gets the value of the alertKey property.
      Returns:
        possible object is `String`

    - #### setAlertKey

          void setAlertKey(String value)

      Sets the value of the alertKey property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAlertRecipient

          String getAlertRecipient()

      Gets the value of the alertRecipient property. This will never be null, because it defaults to "*" if it has not been set.
      Returns:
        possible object is `String`

    - #### setAlertRecipient

          void setAlertRecipient(String value)

      Sets the value of the alertRecipient property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.